
[ppc64] Fixed rtas_extended_busy_delay_time() to calculate correct value, from John Rose


---

 arch/ppc64/kernel/rtas.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/rtas.c~ppc64-rtas_delay arch/ppc64/kernel/rtas.c
--- 25/arch/ppc64/kernel/rtas.c~ppc64-rtas_delay	2004-01-13 23:23:16.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/rtas.c	2004-01-13 23:23:16.000000000 -0800
@@ -197,9 +197,10 @@ rtas_extended_busy_delay_time(int status
 		order = 5;	/* bound */
 
 	/* Use microseconds for reasonable accuracy */
-	for (ms = 1000; order > 0; order--)
-		ms = ms * 10;
-	return ms / (1000000/HZ); /* round down is fine */
+	for (ms=1; order > 0; order--)
+		ms *= 10;          
+
+	return ms; 
 }
 
 int

_
